interactions:
- request:
    body: null
    headers:
      Connection:
      - close
      Host:
      - httpbin.org
      User-Agent:
      - Python-urllib/3.14
    method: GET
    uri: http://httpbin.org/status/404
  response:
    body:
      string: ''
    headers:
      Access-Control-Allow-Credentials:
      - 'true'
      Access-Control-Allow-Origin:
      - '*'
      Connection:
      - close
      Content-Length:
      - '0'
      Content-Type:
      - text/html; charset=utf-8
      Date:
      - Mon, 30 Mar 2026 05:00:56 GMT
      Server:
      - gunicorn/19.9.0
    status:
      code: 404
      message: NOT FOUND
version: 1
